linux: 3.5.0-26.42 -proposed tracker

Bug #1152715 reported by Steve Conklin on 2013-03-08
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Andy Whitcroft
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-26.42 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 08. March 2013 18:46 UTC
kernel-stable-Prepare-package-end:Monday, 11. March 2013 16:13 UTC
kernel-stable-Promote-to-proposed-start:Monday, 11. March 2013 16:13 UTC
kernel-stable-Promote-to-proposed-end:Monday, 11. March 2013 21:06 UTC
kernel-stable-Verification-testing-start:Monday, 11. March 2013 23:05 UTC
kernel-stable-Verification-testing-end:Tuesday, 12. March 2013 13:47 UTC
kernel-stable-Certification-testing-start:Tuesday, 12. March 2013 13:47 UTC
kernel-stable-Security-signoff-start:Tuesday, 12. March 2013 13:48 UTC
kernel-stable-Regression-testing-start:Tuesday, 12. March 2013 13:48 UTC
kernel-stable-Security-signoff-end:Tuesday, 12. March 2013 20:04 UTC
kernel-stable-Regression-testing-end:Wednesday, 13. March 2013 15:06 UTC
kernel-stable-Certification-testing-end:Friday, 15. March 2013 18:04 UTC
kernel-stable-Promote-to-updates-start:Sunday, 17. March 2013 21:04 UTC
kernel-stable-Promote-to-updates-end:Monday, 18. March 2013 17:44 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 18. March 2013 19:06 UTC

Steve Conklin (sconklin) on 2013-03-08
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Steve Conklin (sconklin) on 2013-03-11
summary: - linux: 3.5.0-26.41 -proposed tracker
+ linux: 3.5.0-26.42 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1153648
linux-armadaxp - bug 1153649
linux-lowlatency - bug 1153652

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1153655

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Quantal):
status: New → Confirmed
Adam Conrad (adconrad) wrote :

Copied to -proposed and linux-signed built.

Brad Figg (brad-figg) on 2013-03-11
description: updated
Brad Figg (brad-figg) on 2013-03-11
description: updated
Brad Figg (brad-figg) on 2013-03-12
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-03-12
description: updated
Para Siva (psivaa) wrote :

I've had to report bug 1154570 during the regression testing. Not really sure if that's a kernel issue or a test code issue. Marking the tag as qa-testing-failed

tags: added: qa-testing-failed

The bug was tagged as qa-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Para Siva (psivaa) wrote :

OK, since the regression failure is not due to a kernel issue, changing the tag as qa-testing-passed

tags: added: qa-testing-passed
removed: qa-testing-failed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2013-03-13
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have begun testing this -proposed kernel

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel.
No regressions were observed.
The report is available at: http://people.canonical.com/~hwcert/sru-testing/quantal/3.5.0-26.42/quantal-proposed.html

Note: Our Quantal test pool is usually made of 5 systems but we got results only from one for this SRU.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-03-15
description: updated
Brad Figg (brad-figg) on 2013-03-17
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (13.8 KiB)

This bug was fixed in the package linux - 3.5.0-26.42

---------------
linux (3.5.0-26.42) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1152715

  [ Andy Whitcroft ]

  * ubuntu: overlayfs -- fix missmerge of vfs_open changes
    - LP: #1122094, #1147678

linux (3.5.0-26.40) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1133429

  [ Andy Whitcroft ]

  * ubuntu: overlayfs -- fix missmerge of vfs_open changes
    - LP: #1122094

  [ Ian Campbell ]

  * SAUCE: xen/netback: shutdown the ring if it contains garbage.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: netback: correct netbk_tx_err to handle wrap around.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: xen/netback: don't leak pages on failure in
    xen_netbk_tx_check_gop.
    - LP: #1117331
    - CVE-2013-0217
  * SAUCE: xen/netback: free already allocated memory on failure in
    xen_netbk_get_requests
    - LP: #1117331
    - CVE-2013-0217

  [ Jan Beulich ]

  * SAUCE: xen-pciback: rate limit error messages from
    xen_pcibk_enable_msi{, x}()
    - LP: #1117336
    - CVE-2013-0231

  [ Tim Gardner ]

  * [Config] CONFIG_SATA_AHCI=m
    - LP: #1056563
  * SAUCE: rt2x00: rt2x00pci_regbusy_read() - only print register access
    failure once
    - LP: #1128840

  [ Upstream Kernel Changes ]

  * Revert "USB: Handle warm reset failure on empty port."
    - LP: #1131944
  * xen: Fix stack corruption in xen_failsafe_callback for 32bit PVOPS
    guests.
    - LP: #1102374
    - CVE-2013-0190
  * virtio-blk: Don't free ida when disk is in use
    - LP: #1119885
  * ioat: Fix DMA memory sync direction correct flag
    - LP: #1119885
  * PCI: pciehp: Use per-slot workqueues to avoid deadlock
    - LP: #1119885
  * PCI/AER: pci_get_domain_bus_and_slot() call missing required
    pci_dev_put()
    - LP: #1119885
  * xen/grant-table: correctly initialize grant table version 1
    - LP: #1119885
  * serial:ifx6x60:Delete SPI timer when shut down port
    - LP: #1119885
  * tty: 8250_dw: Fix inverted arguments to serial_out in IRQ handler
    - LP: #1119885
  * drm/i915: Invalidate the relocation presumed_offsets along the slow
    path
    - LP: #1119885
  * ARM: 7627/1: Predicate preempt logic on PREEMP_COUNT not PREEMPT alone
    - LP: #1119885
  * staging: vt6656: Fix inconsistent structure packing
    - LP: #1119885
  * 8250/16?50: Add support for Broadcom TruManage redirected serial port
    - LP: #1119885
  * KVM: PPC: Emulate dcbf
    - LP: #1119885
  * staging: wlan-ng: Fix clamping of returned SSID length
    - LP: #1119885
  * USB: option: blacklist network interface on ONDA MT8205 4G LTE
    - LP: #1119885
  * USB: option: add TP-LINK HSUPA Modem MA180
    - LP: #1119885
  * ALSA: hda - Fix mute led for another HP machine
    - LP: #1096789, #1119885
  * usb: dwc3: gadget: fix ep->maxburst for ep0
    - LP: #1119885
  * ACPI / cpuidle: Fix NULL pointer issues when cpuidle is disabled
    - LP: #1119885
  * ACPI / processor: Get power info before updating the C-states
    - LP: #1119885
  * ARM: DMA: Fix struct page iterator in dma_cache_maint() to work with
    sparsemem
    - LP: #1119885
  * evm: checki...

Changed in linux (Ubuntu Quantal):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2013-03-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers